maven导不进来BladeX相关依赖,版本是2.6.0.RELEASE

Blade 未结 2 46
fuyang7412
fuyang7412 剑童 2022-09-23 11:10
悬赏:10

换了新电脑,Idea pull下来之前的项目,版本是:2.6.0.RELEASE,会不会版本太老了,把这个版本仓库给下架了?我这边应该怎么解决?

具体复现步骤如图所示:

报错信息:

[ERROR] [ERROR] Some problems were encountered while processing the POMs:

[ERROR] Non-resolvable import POM: Failure to find org.springblade.platform:blade-bom:pom:2.6.0.RELEASE in https://maven.aliyun.com/nexus/content/groups/public/ was cached in the local repository, resolution will not be reattempted until the update interval of aliyun-repos has elapsed or updates are forced @ line 45, column 25

image.png

我的maven配置:

image.png





2条回答
  • 2022-09-23 11:49

    加上blade提供的远程仓库试试

    0 讨论(0)
  • 2022-09-23 14:03

    需要有bladex商业授权,然后到git私服下载bladex-tool 2.6.0的源码依赖,再本地执行install或者部署到自己的nexus私服就行了。

    另外请将账号邮箱修改为下单购买授权的qq邮箱便可咨询商业版疑问哦。


    作者追问:2022-09-23 17:40

    去私服下载依赖,然后把依赖放在我电脑上的maven仓库里面去,再执行install?怎样才能去私服下载依赖,我是VIP

    0 讨论(0)
提交回复